# Generated from ruport-1.7.0.gem by gem2rpm -*- rpm-spec -*-
%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name ruport
%global rubyabi 1.9.1

Summary: A generalized Ruby report generation and templating engine
Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 1.7.0
Release: 2%{?dist}
Group: Development/Languages
License: GPLv2+ or Ruby
URL: https://github.com/ManageIQ/ruport
Source0: %{gem_name}-%{version}.gem
Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
Requires: %{?scl_prefix}ruby(rubygems) 
Requires: %{?scl_prefix}ruby 
Requires: %{?scl_prefix}rubygem(pdf-writer) = 1.1.8
BuildRequires: %{?scl_prefix}rubygems-devel 
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
Ruby Reports is a software library that aims to make the task of
reporting
less tedious and painful. It provides tools for data acquisition,
database interaction, formatting, and parsing/munging.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%setup -n %{pkg_name}-%{version} -q -c -T
mkdir -p .%{gem_dir}
%{?scl:scl enable %{scl} "}
gem install --local --install-dir .%{gem_dir} \
            --force %{SOURCE0}
%{?scl:"}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/





%files
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}


%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/LICENSE
%doc %{gem_instdir}/README.rdoc
%doc %{gem_instdir}/AUTHORS
%doc %{gem_instdir}/COPYING
%doc %{gem_instdir}/HACKING
%doc %{gem_instdir}/examples
%{gem_instdir}/Rakefile
%{gem_instdir}/test
%{gem_instdir}/util

%changelog
* Thu Apr 18 2013 Steve Linabery <slinaber@redhat.com> - 1.7.0-2
- change URL: in spec to point to https://github.com/ManageIQ/ruport
- rebase to new gem built from v1.7.0-2 tag on https://github.com/ManageIQ/ruport

* Fri Mar 01 2013 John Eckersberg <jeckersb@redhat.com> - 1.7.0-1
- Initial package
